Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model.menu
Class MenuOptionDescription

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.menu.MenuOptionDescription

All Implemented Interfaces:
  Serializable, Mappable

    public class MenuOptionDescription

extends Object
implements Mappable

See Also:
  Serialized Form

Constructor Summary
`MenuOptionDescription()`

Method Summary
`String` | `getCommandClass()`
`Map<String,Object>` | `getDataMap()`
`String` | `getHtml()`
`List<MenuOptionDescription>` | `getSubMenu()`
`void` | `setCommandClass(String commandClass)`
`void` | `setDataMap(Map<String,Object> dataMap)`
`void` | `setHtml(String html)`
`void` | `setSubMenu(List<MenuOptionDescription> subMenu)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuOptionDescription

    public MenuOptionDescription()

Method Detail

### getHtml

    public String getHtml()

### setHtml

    public void setHtml(String html)

### getSubMenu

    public List<MenuOptionDescription> getSubMenu()

### setSubMenu

    public void setSubMenu(List<MenuOptionDescription> subMenu)

### getCommandClass

    public String getCommandClass()

### setCommandClass

    public void setCommandClass(String commandClass)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`

### setDataMap

    public void setDataMap(Map<String,Object> dataMap)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Throws:
    `FormEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.